Bug 522679 - pkcon hangs grabbing cpu (dialog?)
pkcon hangs grabbing cpu (dialog?)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-09-10 23:45 EDT by Jens Petersen
Modified: 2009-11-07 03:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-30 04:26:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-09-10 23:45:16 EDT
Description of problem:
When pkgcon runs for installing a missing package command
it seems to hang grabbing the cpu...

Version-Release number of selected component (if applicable):
PackageKit-0.5.2-1.fc12

How reproducible:
every time

Steps to Reproduce:
$ rpm -q rubygems
$ gem 
Command not found. Install package 'rubygems' to provide command 'gem'? [N/y] y
The following packages have to be installed:
1	rubygems-1.3.1-3.fc12.noarch
2	ruby-irb-1.8.6.369-3.fc12.i686
3	ruby-rdoc-1.8.6.369-3.fc12.i686
Proceed with changes? [N/y] y
[1]+  Stopped                gem
$ bg
$ top
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
29070 someuser  20   0 11116 2396 2080 R 94.5  0.1   1:06.71 pkcon              
:
$ gdb
:
(gdb) attach 29070
Attaching to process 29070
:
#0  0x0059a416 in __kernel_vsyscall ()
#1  0x00931833 in __read_nocancel () at ../sysdeps/unix/syscall-template.S:82
#2  0x008ce63b in _IO_new_file_underflow (fp=0x9dc420) at fileops.c:598
#3  0x008d01eb in _IO_default_uflow (fp=0x9dc420) at genops.c:440
#4  0x008d17fa in __uflow (fp=0x9dc420) at genops.c:394
#5  0x008cae4c in _IO_getc (fp=0x9dc420) at getc.c:41
#6  0x080516fd in pk_console_get_prompt (
    question=0x8052394 "Proceed with changes?", defaultyes=0) at pk-text.c:73
#7  0x0804e5b4 in pk_console_install_stuff (error=<value optimized out>, 
    packages=<value optimized out>, client=<value optimized out>)
    at pk-console.c:876
#8  main (error=<value optimized out>, packages=<value optimized out>, 
    client=<value optimized out>) at pk-console.c:2223

Expected results:
Root password dialog to appear and install to get done and complete.

Additional info:
This was working recently... I can try reverting to an older build.

$ pkcon install rubygems

brings up a root auth dialog for rawhide unsigned and seems to work.
Comment 1 Jens Petersen 2009-09-10 23:47:57 EDT
Oops sorry that was the wrong backtrace: though the [N/y] download prompt
is also use all cpu. ;-)


#0  0x00c58416 in __kernel_vsyscall ()
#1  0x00931833 in __read_nocancel () at ../sysdeps/unix/syscall-template.S:82
#2  0x008ce63b in _IO_new_file_underflow (fp=0x9dc420) at fileops.c:598
#3  0x008d01eb in _IO_default_uflow (fp=0x9dc420) at genops.c:440
#4  0x008d17fa in __uflow (fp=0x9dc420) at genops.c:394
#5  0x008cae4c in _IO_getc (fp=0x9dc420) at getc.c:41
#6  0x080516fd in pk_console_get_prompt (
    question=0x8052394 "Proceed with changes?", defaultyes=0) at pk-text.c:73
#7  0x0804e5b4 in pk_console_install_stuff (error=<value optimized out>, 
    packages=<value optimized out>, client=<value optimized out>)
    at pk-console.c:876
#8  main (error=<value optimized out>, packages=<value optimized out>, 
    client=<value optimized out>) at pk-console.c:2223
Comment 2 Richard Hughes 2009-09-11 12:23:32 EDT
Cool, thanks for reporting:

commit ca99c01520024d479b7f2afeed279c003fd95561
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Sep 11 17:22:06 2009 +0100

    Read unbuffered input rather than using ungetc. Fixes rh#522679

commit ca99c01520024d479b7f2afeed279c003fd95561
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Sep 11 17:22:06 2009 +0100

    Read unbuffered input rather than using ungetc. Fixes rh#522679

I'll upload a new snapshot on Monday.
Comment 3 Jens Petersen 2009-09-29 02:45:12 EDT
Still happens for me with PackageKit-0.5.3-0.1.20090921git.fc12.
Comment 4 Richard Hughes 2009-09-29 03:57:44 EDT
Should be fixed in yesterdays build, can you please test http://koji.fedoraproject.org/koji/buildinfo?buildID=134033 -- thanks.
Comment 5 Jens Petersen 2009-11-07 03:56:00 EST
12272 jens      20   0  9676 2120 1740 R 22.1  0.1  79:01.91 pk-command-not-    
14844 jens      20   0  9676 2092 1792 R 22.1  0.1  64:56.30 pk-command-not-    
11028 jens      20   0  9676 2116 1740 R 21.5  0.1  84:59.32 pk-command-not-    
17217 jens      20   0  9680 1900 1612 R 21.5  0.1  13:58.37 pk-command-not-    

This doesn't look good even if it is something else...

(Anyway I am opening a Blocker bug to have
PackageKit-command-not-found removed from Live.)

Note You need to log in before you can comment on or make changes to this bug.